:root{
    --main: #07e;
    --border: #333333da;
    --card-bg: #333333e5;
    --text-color: #fff;
}

*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    text-decoration: none;
}

html{
    font-size: 20px;
    scroll-behavior: smooth;
}

::-webkit-scrollbar{
    width: 15px;
}

::-webkit-scrollbar-track{
    background: white;
}

::-webkit-scrollbar-thumb{
    background: linear-gradient(to top, rgb(255, 0, 255), rgb(0, 157, 255));
    transition: 1s;
}

::-webkit-scrollbar-thumb:hover{
    background: linear-gradient(to bottom, rgb(255, 0, 255), rgb(0, 157, 255));
}


body{
    font-family: "Roboto", sans-serif;
}

#bg-canvas {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: -1;
}

header{
    position: fixed;
    width: 100%;
    height: 90px;
    display: flex;
    align-items: center;
    justify-content: center;
    z-index: 100;
}

header nav{
    height: 65px;
    background: rgba(255, 255, 255, 0.233);
    backdrop-filter: blur(3px);
    display: flex;
    align-items: center;
    gap: 2rem;
}

header nav .logo{
    color: #333;
    font-size: 1.5rem;
    font-weight: 600;
    transition: .3s;
}

header nav .logo:hover{
    transform: scale(.9);
}

header nav .links{
    display: flex;
    gap: 15px;
}


header nav .links a{
    font-size: 1rem;
    color: #333;
    transition: .3s ease-in;
}

header nav .links a:hover{
    color: #07e;
}

header nav .github{
    width: 150px;
    height: 42px;
    background: linear-gradient(to right, rgb(0, 157, 255), rgb(255, 0, 255));
    border-radius: 1.7rem;
    display: flex;
    align-items: center;
    justify-content: center;
    transition: .5s;
    color: white;
}

header nav .github:hover{
    background: linear-gradient(to right, rgb(255, 0, 255), rgb(0, 157, 255));
}

header nav #menu-btn{
    color: rgb(247, 243, 243);
    font-size: 1.3rem;
    display: none;
}

section{
    position: relative;
    width: 100%;
    min-height: 100vh;
    padding: 5rem 12%;
}


.home{
    display: flex;
    width: 100%;
    height: 85%;
}

.home .profile-photo{
    width: 50%;
    height: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
}

.home .profile-photo .photo{
    width: 440px;
    height: 440px;
    background: linear-gradient(to bottom,white, rgb(255, 0, 255), rgb(0, 157, 255));
    display: flex;
    align-items: center;
    justify-content: center;
    border-radius: 50%;
    animation: mdee 4s infinite ease-in-out;
}

@keyframes mdee{
    from{
        background: linear-gradient(to bottom,white, rgb(255, 0, 255), rgb(0, 157, 255));
    }

    to{
        background: linear-gradient(to bottom,white, rgb(0, 157, 255), rgb(255, 0, 255));
    }
}

.home .profile-photo img{
    width: 430px;
    height: 430px;
    border-radius: 50%;
}

.home .profile-info{
    width: calc(100% - 50%);
    height: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
}

.home .profile-info .info{
    display: flex;
    flex-direction: column;
    gap: 7px;
}

.home .profile-info .info h3{
    font-size: 1.3rem;
    text-align: center;
    color: var(--card-bg);
}

.home .profile-info .info h1{
    font-size: 2.5rem;
    text-align: center;
    color: black;
    font-weight: bolder;
}

.home .profile-info .info h2{
    font-size: 1.5rem;
    text-align: center;
    color: var(--main);
    font-weight: 400;
}

.home .profile-info .info .info-btns{
    display: flex;
    align-items: center;
    width: 100%;
    justify-content: center;
    gap: 8px;
    margin-top: .5rem;
}

.home .profile-info .info .info-btns button{
    width: 170px;
    height: 40px;
    border: 2px solid var(--border);
    border-radius: 1.5rem;
    font-size: .9rem;
    background: transparent;
    transition: .3s;
}


.home .profile-info .info .info-btns button:hover{
    background: var(--border);
    color: #fff;
}

.home .profile-info .info .social-icons{
    margin-top: .6rem;
    display: flex;
    justify-content: center;
    gap: 8px;
}

.home .profile-info .info .social-icons i{
    font-size: 1.7rem;
    color: black;
    transition: .3s;
}

.home .profile-info .info .social-icons i:hover{
    transform: scale(1.1);
}

.skills h1{
    text-align: center;
    font-size: 1.8rem;
    color: #111;
    margin-top: 3rem;
}

.skills .skill-cards{
    display: grid;
    grid-template-columns: repeat(2,1fr);
    margin-top: 1.6rem;
    gap: 1rem;
}

.skills .skill-cards .s-card{
    height: 220px;
    border: 2px solid var(--border);
    display: flex;
    align-items: center;
    justify-content: center;
    border-radius: 1.5rem;
}

.skill-cards .s-card .card-in{
    width: 370px;
    display: flex;
    flex-direction: column;
    gap: 7px;
}

.skill-cards .s-card .card-in i{
    font-size: 1.5rem; 
    color: var(--main);
}

.skill-cards .s-card .card-in h1{
    font-size: 1.4rem;
    font-weight: 500;
    text-align: left;
    margin: 0;
}

.skill-cards .s-card .card-in h3{
    font-size: 1.1rem;
    font-weight: 600;
    color: #555;
}

.skill-cards .s-card .card-in p{
    font-size: .9rem;
    color: #333;
    text-align: j;
}

.projects h1{
    text-align: center;
    font-size: 1.8rem;
    color: #111;
}

.projects .project-card{
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(300px, 1fr));
    gap: 1rem;
}

.projects .project-card .p-card{
    margin-top: 1.5rem;
    border: 2px solid var(--border);
    border-radius: 1.5rem;
    height: 450px;
    gap: 5px;
    transition: .5s;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
}

.projects .project-card .p-card:hover{
    transform: translateY(-5px);
}

.projects .project-card .p-card img{
    width: 285px;
    height: 200px;
    margin: 1rem;
    border-radius: 1rem;
}

.projects .project-card .p-card h1{
    font-size: 1.4rem;
    color: #111;
}

.projects .project-card .p-card p{
    font-size: .8rem;
    color: #333;
    text-align: center;
    margin-top: 1rem;
}

.projects .project-card .p-card .p-btns{
    display: flex;
    align-items: center;
    width: 100%;
    justify-content: center;
    gap: 8px;
    margin-top: 1rem;
}

.projects .project-card .p-card button{
    width: 130px;
    height: 40px;
    border: 2px solid var(--border);
    border-radius: 1.5rem;
    font-size: .9rem;
    background: transparent;
    transition: .3s;
}

.projects .project-card .p-card #git-repo{
    color: white;
    background: linear-gradient(to right,rgb(255, 0, 255), rgb(0, 157, 255));
    border: none;
    transition: .3s;
}

.projects .project-card .p-card #git-repo:hover {
    background: linear-gradient(to right, rgb(0, 157, 255), rgb(255, 0, 255));
}

.projects .project-card .p-card button:hover{
    background: var(--border);
    color: #fff;
}

.contact h1{
    text-align: center;
    font-size: 1.8rem;
    color: #111;
}

.contact .contact-form{
    display: flex;
    justify-content: center;
}

.contact .contact-form .c-form{
    margin-top: 2rem;
    display: flex;
    flex-direction: column;
    gap: 15px;
}


.contact .contact-form .c-form input{
    width: 500px;
    height: 60px;
    border: 2px solid var(--border);
    border-radius: 1.5rem;
    padding: 1rem;
    font-size: 1rem
}

.s-btn{
    width: 500px;
    display: flex;
    justify-content: flex-end;
}

.contact .contact-form .c-form button{
    width: 100px;
    height: 50px;
    border: none;
    border-radius: 1.5rem;
    font-size: 1rem;
    background: linear-gradient(to right,rgb(255, 0, 255), rgb(0, 157, 255));
    color: #222;
    transition: .3s;
    color: white;
}

.contact .contact-form .c-form button:hover{
    background: linear-gradient(to right, rgb(0, 157, 255), rgb(255, 0, 255));
}

footer{
    width: 100%;
    height: 80px;
    background: linear-gradient(to bottom, transparent, rgb(219, 219, 219));
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    gap: 10px;
}

footer .s-iconn{
    display: flex;
    gap: 8px;
}

footer .s-iconn a i{
    font-size: 1.5rem;
    color: rgb(255, 0, 255);
}

footer .s-iconn a{
    transition: .3s;
}

footer .s-iconn a:hover{
    transform: translateY(-5px);
}


footer .copyright{
    display: flex;
}

footer .copyright p{
    font-size: .9rem;
    color: #555;
}

footer .copyright i{
    color: #555;
}

@media(max-width: 1200px){
    header{
        position: fixed;
        width: 100%;
        height: 90px;
        display: flex;
        align-items: center;
        justify-content: center;
        z-index: 100;
    }

    header nav{
        padding: 1rem;
        height: 65px;
        background: var(--card-bg);
        border-radius: 1.7rem;
        gap: 17px;
        display: flex;
        align-items: center;
        justify-content: center;
    }

    header nav .logo{
        color: var(--text-color);
        font-size: 1rem;
        font-weight: 600;
        transition: .3s;
    }

    header nav .logo:hover{
        transform: scale(.9);
    }

    header nav .github{
        width: 115px;
    }


    header nav a{
        font-size: .8rem;
        color: #fff;
    }

    header nav .links{
        display: flex;
        align-items: center;
        gap: .8rem;
    }

    header nav .links a{
        color: #fff;
        font-size: .8rem;
    }

}

@media (max-width: 768px){
    header nav .github{
        display: none;
    }

    .home .profile-info .info .info-btns button{
        width: 140px;
        font-size: .9rem;
    }

    .home .profile-info .info h1{
        font-size: 2rem;
    }

    .home .profile-info .info h2{
        font-size: 1.4rem;
    }

    .home{
        align-items: center;
        gap: 3rem;
        flex-direction: column;
    }

    .home .profile-photo .photo{
        width: 250px;
        height: 250px;
    }

    .home .profile-photo img{
        width: 240px;
        height: 240px;
    }


    .skills .skill-cards{
        grid-template-columns: repeat(1,1fr);
    }

}


@media(max-width: 600px){
    header nav #menu-btn{
        display: block;
    }

    header nav .links{
        position: absolute;
        top: 100%;
        margin-top: 1rem;
        width: 100%;
        padding: 1rem;
        color: white;
        flex-direction: column;
        display: flex;
        text-align: center;
        background: #333333de;
        border-radius: 2rem;
        display: none;
    }

    header nav{
        padding: 1rem 4rem;
        gap: 6rem;
        margin: 2rem;
    }

    header nav .logo{
        font-size: 1.2rem;
    }

    header nav .links a{
        margin: 1rem;
        font-size: 1.1rem;
    }

    header nav .links.active{
        display: block;
    }

    .home .profile-photo .photo{
        width: 350px;
        height: 350px;
    }

    .home .profile-photo img{
        width: 340px;
        height: 340px;
    }

        .contact .contact-form .c-form input{
        width: 450px;
    }

    .s-btn{
        width: 450px;
    }

}

@media(max-width: 500px){
    header nav{
        padding: 1rem 3rem
    }

    header nav .logo{
        width: 150px;
    }

    .skill-cards .s-card .card-in{
        width: 250px;
    }

    .projects .project-card .p-card p{
        margin: 0 1rem;
    }

    .contact .contact-form .c-form input{
        width: 400px;
    }

    .s-btn{
        width: 400px;
    }

}
